/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* nss-shared-helper.h - Helper funcs for shared NSS database
 *
 * Copyright (C) 2008 Hans Petter Jansson
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
 * USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no> */

#ifndef NSS_SHARED_HELPER_H
#define NSS_SHARED_HELPER_H

#include <nss.h>

#ifdef __cplusplus
extern "C" {
#endif

char      *nsshelp_get_user_db_path       (void);
SECStatus  nsshelp_open_db                (const char *app_id, const char *old_path, PRUint32 flags);

#ifdef __cplusplus
}
#endif

#endif  /* NSS_SHARED_HELPER_H */
